package com.ozs.service.impl;

import com.ozs.entity.MsgAlarm;
import com.ozs.entity.TerminalIgnoreAlarm;
import com.ozs.entity.vo.MsgAlarmDTO;
import com.ozs.mapper.TerminalIgnoreAlarmMapper;
import com.ozs.service.TerminalIgnoreAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Service
public class TerminalIgnoreAlarmServiceImpl extends ServiceImpl<TerminalIgnoreAlarmMapper, TerminalIgnoreAlarm> implements TerminalIgnoreAlarmService {
    @Autowired
    private TerminalIgnoreAlarmMapper terminalIgnoreAlarmMapper;
    @Override
    public List<TerminalIgnoreAlarm> list(String terminalCode) {
        List<TerminalIgnoreAlarm> list = terminalIgnoreAlarmMapper.list(terminalCode);
        return list;
    }

    @Override
    public MsgAlarmDTO selectDetailByAlarmId(Long id) {
        MsgAlarmDTO msgAlarmDTO = terminalIgnoreAlarmMapper.selectDetailByAlarmId(id);
        return msgAlarmDTO;
    }
}
